
Redmine - Defect #2107

Issue Filter for "Target Version" vanishes without warning when "All Projects" is checked

2008-10-29 17:53 - Martin Schuster

Status: Closed Start date: 2008-10-29

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.7.3

Description

When you create an issue filter with the parameter "Target Version" but also check "All Projects", the parameter "Target Version"

silently disappears after saving the filter. Once you understand why it happens it's clear why this has to happen, but many users

might consider this an error or at least won't expect it. So maybe a warning of some kind should appear or rather the checkbox "all

projects" should be cleared instead of the "Target Version" parameter.

Related issues:

Is duplicate of Redmine - Defect #1495: Queries on versions don't work globally Closed 2008-06-18

History

#1 - 2009-03-17 22:04 - Vincent de Lau

This is still an issue in 0.8.2.

There is however a valid case where the query could be saved. I wanted to create a global filter to see all issues that do not have a version assigned.

So IMHO the rule should be to allow (global) rules without a specific version number. If a specific version is specified, I would suggest to not allow it to

be global.

#2 - 2013-02-06 11:11 - Daniel Felix

- Status changed from New to Closed

- Resolution set to Duplicate

This is a duplicate of #1495.

I'm closing this.
